OpenNMS API 1.2.9

## org.opennms.report.availability
Class CalendarTable

    java.lang.Object
      org.opennms.report.availability.CalendarTable

All Implemented Interfaces:
  java.io.Serializable

public class CalendarTable
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private DaysOfWeek` `_daysOfWeek`
`private java.lang.String` `_month`
`private java.util.ArrayList` `_weekList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`CalendarTable()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addWeek(int index, Week vWeek)`
`void` `addWeek(Week vWeek)`
`void` `clearWeek()`
`java.util.Enumeration` `enumerateWeek()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`DaysOfWeek` `getDaysOfWeek()` Returns the value of field 'daysOfWeek'.
`java.lang.String` `getMonth()` Returns the value of field 'month'.
`Week[]` `getWeek()`
`Week` `getWeek(int index)`
`java.util.Collection` `getWeekCollection()`
`int` `getWeekCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeWeek(Week vWeek)`
`void` `setDaysOfWeek(DaysOfWeek daysOfWeek)` Sets the value of field 'daysOfWeek'.
`void` `setMonth(java.lang.String month)` Sets the value of field 'month'.
`void` `setWeek(int index, Week vWeek)`
`void` `setWeek(Week[] weekArray)`
`void` `setWeekCollection(java.util.Collection vWeek)`
`static CalendarTable` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _month

    private java.lang.String _month

### _daysOfWeek

    private DaysOfWeek _daysOfWeek

### _weekList

    private java.util.ArrayList _weekList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### CalendarTable

    public CalendarTable()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addWeek

    public void addWeek(Week vWeek)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vWeek` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addWeek

    public void addWeek(int index,
                        Week vWeek)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vWeek` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearWeek

    public void clearWeek()

### enumerateWeek

    public java.util.Enumeration enumerateWeek()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getDaysOfWeek

    public DaysOfWeek getDaysOfWeek()

  Returns the value of field 'daysOfWeek'.

  Returns:
    the value of field 'daysOfWeek'.

### getMonth

    public java.lang.String getMonth()

  Returns the value of field 'month'.

  Returns:
    the value of field 'month'.

### getWeek

    public Week getWeek(int index)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getWeek

    public Week[] getWeek()

### getWeekCollection

    public java.util.Collection getWeekCollection()

### getWeekCount

    public int getWeekCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeWeek

    public boolean removeWeek(Week vWeek)

  Parameters:
    `vWeek` -

### setDaysOfWeek

    public void setDaysOfWeek(DaysOfWeek daysOfWeek)

  Sets the value of field 'daysOfWeek'.

  Parameters:
    `daysOfWeek` - the value of field 'daysOfWeek'.

### setMonth

    public void setMonth(java.lang.String month)

  Sets the value of field 'month'.

  Parameters:
    `month` - the value of field 'month'.

### setWeek

    public void setWeek(int index,
                        Week vWeek)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vWeek` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setWeek

    public void setWeek(Week[] weekArray)

  Parameters:
    `weekArray` -

### setWeekCollection

    public void setWeekCollection(java.util.Collection vWeek)

  Parameters:
    `vWeek` -

### unmarshal

    public static CalendarTable unmarshal(java.io.Reader reader)
                                   throws org.exolab.castor.xml.MarshalException,
                                          org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.